{% extends 'base.html.twig' %}

{% block title %}Details| {{ film.title }}{% endblock %}

{% block body %}

    <!-- BEGIN | Header -->
    <header class="ht-header">
        <div class="container">
            <nav class="navbar navbar-default navbar-custom">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header logo">
                    <div class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <div id="nav-icon1">
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                    </div>
                    <a href="#"><img class="logo" src="images/logo1.png" alt="" width="119" height="58"></a>
                </div>
                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse flex-parent" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav flex-child-menu menu-left">
                        <li class="hidden">
                            <a href="#"></a>
                        </li>
                        <li class="dropdown first">
                            <a href="{{ path('app.index') }}" class="btn btn-default  lv1">
                                Home
                            </a>

                        </li>
                        <li class="dropdown first">
                            <a id ="btn-other" class="btn btn-default lv1">
                                Other movies
                            </a>
                        </li>

                    </ul>
                </div>
                <!-- /.navbar-collapse -->
            </nav>

            <!-- top search form -->
            <div class="top-search">
                <select>
                    <option value="united">TV show</option>
                    <option value="saab">Others</option>
                </select>
                <input type="text" placeholder="Search for a movie, TV Show or celebrity that you are looking for">
            </div>
        </div>
    </header>
    <!-- END | Header -->

    <div class="hero mv-single-hero">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <!-- <h1> movie listing - list</h1>
                    <ul class="breadcumb">
                        <li class="active"><a href="#">Home</a></li>
                        <li> <span class="ion-ios-arrow-right"></span> movie listing</li>
                    </ul> -->
                </div>
            </div>
        </div>
    </div>
    <div class="page-single movie-single movie_single" id="otherMovies">
        <div class="container">
            <div class="row ipad-width2">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <div class="movie-img sticky-sb">
                        <img class="img-fluid" src="{{ 'https://image.tmdb.org/t/p/w500/' ~ film.posterPath }}" alt="" width="800" height="437">
                        <div class="movie-btn">
                            <div class="btn-transform transform-vertical red">
                                <div><a href="{{ path('app.film.send', {'id': film.filmId}) }}" class="item item-1 redbtn"> <i class="ion-share"></i>Share</a></div>
                                <div><a href="{{ path('app.film.send', {'id': film.filmId}) }}" class="item item-2 redbtn fancybox-media hvr-grow"><i class="ion-share"></i></a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-8 col-sm-12 col-xs-12">
                    <div class="movie-single-ct main-content">
                        <h1 class="bd-hd">{{ film.title }}</h1>
                        <div class="movie-rate">
                            <div class="rate">
                                <i class="ion-android-star"></i>
                                <p><span>{{ film.voteAverage }}</span> /10<br>
                                </p>
                            </div>
                        </div>
                        <div class="movie-tabs">
                            <div class="tabs">
                                <ul class="tab-links tabs-mv">
                                    <li class="active"><a href="#">Details</a></li>
                                </ul>
                                <div class="tab-content">
                                    <div id="overview" class="tab active">
                                        <div class="row">
                                            <div class="col-md-4 col-xs-12 col-sm-12">
                                                <div class="sb-it">
                                                    <h6>Original Title: </h6>
                                                    <p><a href="#">{{ film.originalTitle }}</p>
                                                </div>

                                                <div class="sb-it">
                                                    <h6>Adult: </h6>
                                                    <p><a href="#">{{ film.adult }}</p>
                                                </div>

                                                <div class="sb-it">
                                                    <h6>backdrop Path: </h6>
                                                    <p><a href="#">{{ film.backdropPath }}</p>
                                                </div>
                                                <div class="sb-it">
                                                    <h6>Genres:</h6>
                                                    {% for genre in film.genreIds %}
                                                        <p><a href="#">{{ genre.genreId }}</a></p>
                                                    {% endfor %}
                                                </div>
                                                <div class="sb-it">
                                                    <h6>Release Date:</h6>
                                                    <p>{{ film.releaseDate }}</p>
                                                </div>
                                                <div class="sb-it">
                                                    <h6>Original Language</h6>
                                                    <p>{{ film.originalLanguage }}</p>
                                                </div>

                                                <div class="sb-it">
                                                    <h6>Vote Count:</h6>
                                                    <p>{{ film.voteCount }}</p>
                                                </div>
                                                <div class="sb-it">
                                                    <h6>SHARE:</h6>
                                                    <p>{{ film.count }}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="reviews" class="tab review">
                                        <div class="row">
                                            <div class="rv-hd">
                                                <div class="div">
                                                    <h3>Related Movies To</h3>
                                                    <h2>Skyfall: Quantum of Spectre</h2>
                                                </div>
                                                <a href="#" class="redbtn">Write Review</a>
                                            </div>
                                            <div class="topbar-filter">
                                                <p>Found <span>56 reviews</span> in total</p>
                                                <label>Filter by:</label>
                                                <select>
                                                    <option value="popularity">Popularity Descending</option>
                                                    <option value="popularity">Popularity Ascending</option>
                                                    <option value="rating">Rating Descending</option>
                                                    <option value="rating">Rating Ascending</option>
                                                    <option value="date">Release date Descending</option>
                                                    <option value="date">Release date Ascending</option>
                                                </select>
                                            </div>
                                            <div class="mv-user-review-item">
                                                <div class="user-infor">
                                                    <img src="images/uploads/userava1.jpg" alt="">
                                                    <div>
                                                        <h3>Best Marvel movie in my opinion</h3>
                                                        <div class="no-star">
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star last"></i>
                                                        </div>
                                                        <p class="time">
                                                            17 December 2016 by <a href="#"> hawaiipierson</a>
                                                        </p>
                                                    </div>
                                                </div>
                                                <p>This is by far one of my favorite movies from the MCU. The introduction of new Characters both good and bad also makes the movie more exciting. giving the characters more of a back story can also help audiences relate more to different characters better, and it connects a bond between the audience and actors or characters. Having seen the movie three times does not bother me here as it is as thrilling and exciting every time I am watching it. In other words, the movie is by far better than previous movies (and I do love everything Marvel), the plotting is splendid (they really do out do themselves in each film, there are no problems watching it more than once.</p>
                                            </div>
                                            <div class="mv-user-review-item">
                                                <div class="user-infor">
                                                    <img src="images/uploads/userava2.jpg" alt="">
                                                    <div>
                                                        <h3>Just about as good as the first one!</h3>
                                                        <div class="no-star">
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                        </div>
                                                        <p class="time">
                                                            17 December 2016 by <a href="#"> hawaiipierson</a>
                                                        </p>
                                                    </div>
                                                </div>
                                                <p>Avengers Age of Ultron is an excellent sequel and a worthy MCU title! There are a lot of good and one thing that feels off in my opinion. </p>

                                                <p>THE GOOD:</p>

                                                <p>First off the action in this movie is amazing, to buildings crumbling, to evil blue eyed robots tearing stuff up, this movie has the action perfectly handled. And with that action comes visuals. The visuals are really good, even though you can see clearly where they are through the movie, but that doesn't detract from the experience. While all the CGI glory is taking place, there are lovable characters that are in the mix. First off the original characters, Iron Man, Captain America, Thor, Hulk, Black Widow, and Hawkeye, are just as brilliant as they are always. And Joss Whedon fixed my main problem in the first Avengers by putting in more Hawkeye and him more fleshed out. Then there is the new Avengers, Quicksilver, Scarletwich, and Vision, they are pretty cool in my opinion. Vision in particular is pretty amazing in all his scenes.</p>

                                                <p>THE BAD:</p>

                                                <p>The beginning of the film it's fine until towards the second act and there is when it starts to feel a little rushed. Also I do feel like there are scenes missing but there was talk of an extended version on Blu-Ray so that's cool.</p>
                                            </div>
                                            <div class="mv-user-review-item">
                                                <div class="user-infor">
                                                    <img src="images/uploads/userava3.jpg" alt="">
                                                    <div>
                                                        <h3>One of the most boring exepirences from watching a movie</h3>
                                                        <div class="no-star">
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                        </div>
                                                        <p class="time">
                                                            26 March 2017 by<a href="#"> christopherfreeman</a>
                                                        </p>
                                                    </div>
                                                </div>
                                                <p>I can't right much... it's just so forgettable...Okay, from what I remember, I remember just sitting down on my seat and waiting for the movie to begin. 5 minutes into the movie, boring scene of Tony Stark just talking to his "dead" friends saying it's his fault. 10 minutes in: Boring scene of Ultron and Jarvis having robot space battles(I dunno:/). 15 minutes in: I leave the theatre.2nd attempt at watching it: I fall asleep. What woke me up is the next movie on Netflix when the movie was over.</p>

                                                <p>Bottemline: It's boring...</p>

                                                <p>10/10 because I'm a Marvel Fanboy</p>
                                            </div>
                                            <div class="mv-user-review-item ">
                                                <div class="user-infor">
                                                    <img src="images/uploads/userava4.jpg" alt="">
                                                    <div>
                                                        <h3>That spirit of fun</h3>
                                                        <div class="no-star">
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                        </div>
                                                        <p class="time">
                                                            26 March 2017 by <a href="#"> juliawest</a>
                                                        </p>
                                                    </div>
                                                </div>
                                                <p>If there were not an audience for Marvel comic heroes than clearly these films would not be made, to answer one other reviewer although I sympathize with him somewhat. The world is indeed an infinitely more complex place than the world of Marvel comics with clearly identifiable heroes and villains. But I get the feeling that from Robert Downey, Jr. on down the organizer and prime mover as Iron Man behind the Avengers these players do love doing these roles because it's a lot of fun. If they didn't show that spirit of fun to the audience than these films would never be made.</p>

                                                <p>So in that spirit of fun Avengers: Age Of Ultron comes before us and everyone looks like they're having a good time saving the world. A computer program got loose and took form in this dimension named Ultron and James Spader who is completely unrecognizable is running amuck in the earth. No doubt Star Trek fans took notice that this guy's mission is to cleanse the earth much like that old earth probe NOMAD which got its programming mixed up in that classic Star Trek prime story. Wouldst Captain James T. Kirk of the Enterprise had a crew like Downey has at his command.</p>
                                                <p>My favorite is always Chris Evans because of the whole cast he best gets into the spirit of being a superhero. Of all of them, he's already played two superheroes, Captain America and Johnny Storm the Human Torch. I'll be before he's done Evans will play a couple of more as long as the money's good and he enjoys it.</p>

                                                <p>Pretend you're a kid again and enjoy, don't take it so seriously.</p>
                                            </div>
                                            <div class="mv-user-review-item last">
                                                <div class="user-infor">
                                                    <img src="images/uploads/userava5.jpg" alt="">
                                                    <div>
                                                        <h3>Impressive Special Effects and Cast</h3>
                                                        <div class="no-star">
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star"></i>
                                                            <i class="ion-android-star last"></i>
                                                            <i class="ion-android-star last"></i>
                                                        </div>
                                                        <p class="time">
                                                            26 March 2017 by <a href="#"> johnnylee</a>
                                                        </p>
                                                    </div>
                                                </div>
                                                <p>The Avengers raid a Hydra base in Sokovia commanded by Strucker and they retrieve Loki's scepter. They also discover that Strucker had been conducting experiments with the orphan twins Pietro Maximoff (Aaron Taylor-Johnson), who has super speed, and Wanda Maximoff (Elizabeth Olsen), who can control minds and project energy. Tony Stark (Robert Downey Jr.) discovers an Artificial Intelligence in the scepter and convinces Bruce Banner (Mark Ruffalo) to secretly help him to transfer the A.I. to his Ultron defense system. However, the Ultron understands that is necessary to annihilate mankind to save the planet, attacks the Avengers and flees to Sokovia with the scepter. He builds an armature for self-protection and robots for his army and teams up with the twins. The Avengers go to Clinton Barton's house to recover, but out of the blue, Nick Fury (Samuel L. Jackson) arrives and convinces them to fight against Ultron. Will they succeed? </p>

                                                <p>"Avengers: Age of Ultron" is an entertaining adventure with impressive special effects and cast. The storyline might be better, since most of the characters do not show any chemistry. However, it is worthwhile watching this film since the amazing special effects are not possible to be described in words. Why Pietro has to die is also not possible to be explained. My vote is eight.</p>
                                            </div>
                                            <div class="topbar-filter">
                                                <label>Reviews per page:</label>
                                                <select>
                                                    <option value="range">5 Reviews</option>
                                                    <option value="saab">10 Reviews</option>
                                                </select>
                                                <div class="pagination2">
                                                    <span>Page 1 of 6:</span>
                                                    <a class="active" href="#">1</a>
                                                    <a href="#">2</a>
                                                    <a href="#">3</a>
                                                    <a href="#">4</a>
                                                    <a href="#">5</a>
                                                    <a href="#">6</a>
                                                    <a href="#"><i class="ion-arrow-right-b"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="cast" class="tab">
                                        <div class="row">
                                            <h3>Cast & Crew of</h3>
                                            <h2>Avengers: Age of Ultron</h2>
                                            <!-- //== -->
                                            <div class="title-hd-sm">
                                                <h4>Directors & Credit Writers</h4>
                                            </div>
                                            <div class="mvcast-item">
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JW</h4>
                                                        <a href="#">Joss Whedon</a>
                                                    </div>
                                                    <p>...  Director</p>
                                                </div>
                                            </div>
                                            <!-- //== -->
                                            <div class="title-hd-sm">
                                                <h4>Directors & Credit Writers</h4>
                                            </div>
                                            <div class="mvcast-item">
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>SL</h4>
                                                        <a href="#">Stan Lee</a>
                                                    </div>
                                                    <p>...  (based on Marvel comics)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JK</h4>
                                                        <a href="#">Jack Kirby</a>
                                                    </div>
                                                    <p>...  (based on Marvel comics)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JS</h4>
                                                        <a href="#">Joe Simon</a>
                                                    </div>
                                                    <p>...  (character created by: Captain America)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JS</h4>
                                                        <a href="#">Joe Simon</a>
                                                    </div>
                                                    <p>...  (character created by: Thanos)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>RT</h4>
                                                        <a href="#">Roy Thomas</a>
                                                    </div>
                                                    <p>...  (character created by: Ultron, Vision)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JB</h4>
                                                        <a href="#">John Buscema</a>
                                                    </div>
                                                    <p>...  (character created by: Ultron, Vision)</p>
                                                </div>
                                            </div>
                                            <!-- //== -->
                                            <div class="title-hd-sm">
                                                <h4>Cast</h4>
                                            </div>
                                            <div class="mvcast-item">
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast1.jpg" alt="">
                                                        <a href="#">Robert Downey Jr.</a>
                                                    </div>
                                                    <p>...  Robert Downey Jr.</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast2.jpg" alt="">
                                                        <a href="#">Chris Hemsworth</a>
                                                    </div>
                                                    <p>...  Thor</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast3.jpg" alt="">
                                                        <a href="#">Mark Ruffalo</a>
                                                    </div>
                                                    <p>...  Bruce Banner/ Hulk</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast4.jpg" alt="">
                                                        <a href="#">Chris Evans</a>
                                                    </div>
                                                    <p>...  Steve Rogers/ Captain America</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast5.jpg" alt="">
                                                        <a href="#">Scarlett Johansson</a>
                                                    </div>
                                                    <p>...  Natasha Romanoff/ Black Widow</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast6.jpg" alt="">
                                                        <a href="#">Jeremy Renner</a>
                                                    </div>
                                                    <p>...  Clint Barton/ Hawkeye</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast7.jpg" alt="">
                                                        <a href="#">James Spader</a>
                                                    </div>
                                                    <p>...  Ultron</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <img src="images/uploads/cast9.jpg" alt="">
                                                        <a href="#">Don Cheadle</a>
                                                    </div>
                                                    <p>...  James Rhodes/ War Machine</p>
                                                </div>
                                            </div>
                                            <!-- //== -->
                                            <div class="title-hd-sm">
                                                <h4>Produced by</h4>
                                            </div>
                                            <div class="mvcast-item">
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>VA</h4>
                                                        <a href="#">Victoria Alonso</a>
                                                    </div>
                                                    <p>...  executive producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>MB</h4>
                                                        <a href="#">Mitchel Bell</a>
                                                    </div>
                                                    <p>...  co-producer (as Mitch Bell)</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JC</h4>
                                                        <a href="#">Jamie Christopher</a>
                                                    </div>
                                                    <p>...  associate producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>LD</h4>
                                                        <a href="#">Louis D’Esposito</a>
                                                    </div>
                                                    <p>...  executive producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JF</h4>
                                                        <a href="#">Jon Favreau</a>
                                                    </div>
                                                    <p>...  executive producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>KF</h4>
                                                        <a href="#">Kevin Feige</a>
                                                    </div>
                                                    <p>...  producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>AF</h4>
                                                        <a href="#">Alan Fine</a>
                                                    </div>
                                                    <p>...  executive producer</p>
                                                </div>
                                                <div class="cast-it">
                                                    <div class="cast-left">
                                                        <h4>JF</h4>
                                                        <a href="#">Jeffrey Ford</a>
                                                    </div>
                                                    <p>...  associate producer</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- footer section-->
    <footer class="ht-footer">
        <div class="container">
            <div class="flex-parent-ft">
                <div class="flex-child-ft item2">
                    <h4>Resources</h4>
                    <ul>
                        <li><a href="#">About</a></li>
                        <li><a href="#">Blockbuster</a></li>
                        <li><a href="#">Contact Us</a></li>
                        <li><a href="#">Forums</a></li>
                        <li><a href="#">Blog</a></li>
                        <li><a href="#">Help Center</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item3">
                    <h4>Legal</h4>
                    <ul>
                        <li><a href="#">Terms of Use</a></li>
                        <li><a href="#">Privacy Policy</a></li>
                        <li><a href="#">Security</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item4">
                    <h4>Account</h4>
                    <ul>
                        <li><a href="#">My Account</a></li>
                        <li><a href="#">Watchlist</a></li>
                        <li><a href="#">Collections</a></li>
                        <li><a href="#">User Guide</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item5">
                    <h4>Newsletter</h4>
                    <p>Subscribe to our newsletter system now <br> to get latest news from us.</p>
                    <form action="#">
                        <input type="text" placeholder="Enter your email...">
                    </form>
                    <a href="#" class="btn">Subscribe now <i class="ion-ios-arrow-forward"></i></a>
                </div>
            </div>
        </div>
        <div class="ft-copyright">
            <div class="ft-left">
                <p><a target="_blank" href="#">Templates Hub</a></p>
            </div>
            <div class="backtotop">
                <p><a href="#" id="back-to-top">Back to top  <i class="ion-ios-arrow-thin-up"></i></a></p>
            </div>
        </div>
    </footer>
{% endblock %}
